FLATPAK BUILD-COMMI(1)

NAME
flatpak-build-commit-from - Create new commits based on existing one (possibly from another repository)

SYNOPSIS

flatpak build-commit-from [OPTION...] DST-REPO DST-REF...

DESCRIPTION

Creates new commits on the DST-REF branch in the DST-REPO, with the contents (and most of the metadata) taken from another branch, either from another repo, or from another branch in the same repository.

This command is very useful when you want to maintain a branch with a clean history that has no unsigned or broken commits. For instance, you can import the head from a different repository from an automatic builder when you've verified that it worked. The new commit will have no parents or signatures from the autobuilder, and can be properly signed with the official key.

OPTIONS

The following options are understood:

-h, --help
    Show help options and exit.

--src-repo=SRC-REPO
    The (local) repository to pull the source branch from. Defaults to the destination repository.

--src-ref=SRC-REF
    The branch to use as the source for the new commit. Defaults to the same as the destination ref, which is useful only if a different source repo has been specified.

--untrusted
    The source repostory is not trusted, all objects are copied (not hardlinked) and all checksums are verified.

-s, --subject=SUBJECT
    One line subject for the commit message. If not specified, will be taken from the source commit.

-b, --body=BODY
    Full description for the commit message. If not specified, will be taken from the source commit.

--update-appstream
    Run appstream-builder and to update the appstream branch after build.

--no-update-summary
    Don't update the summary file after the new commit is added. This means the repository will not be useful for serving over http until build-repo-update has been run. This is useful is you want to do multiple repo operations before finally updating the summary.

--force
    Create new commit even if the content didn't change from the existing branch head.

--gpg-sign=KEYID
    Sign the commit with this GPG key. This option can be used multiple times.

--gpg-homedir=PATH
    GPG Homedir to use when looking for keyrings

-v, --verbose
    Print debug information during command processing.

--ostree-verbose
    Print OSTree debug information during command processing.

--version
    Print version information and exit.

EXAMPLES

$ flatpak build-export ~/repos/gnome-calculator/ ~/build/gnome-calculator/ org.gnome.Calculator

    Commit: 9d0044ea480297114d03aec85c3d7ae3779438f9d2cb69d717fb54237acacb8c
    Metadata Total: 605
    Metadata Written: 5
    Content Total: 1174
    Content Written: 1
    Content Bytes Written: 305

SEE ALSO

ostree(1), flatpak(1), flatpak-build-init(1), flatpak-build(1), flatpak-build-finish(1), flatpak-build-sign(1), flatpak-repo-update(1)